#!/bin/bash

USAGE="Usage:  $0 [-d dir] [-l] files..."

lopts=""		# Default values
dir="/tmp"

while getopts d:l letter
do
    case "$letter" in
    d)	echo "Found '-d $OPTARG'";	dir="$OPTARG";;
    l)	echo "Found '-l'";		lopts="-l";;
    *)	echo >&2 "$USAGE"; exit 1;;
    esac
done
shift $(( OPTIND-1 ))
echo "lopts = :$lopts: and dir = :$dir:"
echo "After all options:  $@"
