#!/bin/bash
TMP=$(mktemp /tmp/XXXXXXXXXX)
# Notice the "-f" option...
trap 'rm -f "$TMP"; echo "Removed $TMP ..."; exit' EXIT INT

tput clear
echo "Temporary filename is: $TMP"
rm "$TMP"
count=1

date > "$FILE"
while (( count <= 10 ))
do
    echo "Process ID $$, loop count $count"
    let count=count+1
    date >> "$TMP"
    sleep 10
done
# Alternate way to avoid error messages
rm "$FILE" 2>/dev/null
